Bug 1478535 - Boolean user input filter should be select bar to prevent exceptions
Summary: Boolean user input filter should be select bar to prevent exceptions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: lgalis
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:filter
Depends On: 1429532
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-04 18:42 UTC by Satoe Imaishi
Modified: 2017-10-24 00:36 UTC (History)
6 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1429532
Environment:
Last Closed: 2017-10-24 00:36:38 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-04 18:44:02 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/7f2aa25e1a78a0bc28a5fb1ec6a1744875191600

commit 7f2aa25e1a78a0bc28a5fb1ec6a1744875191600
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Jul 12 10:26:56 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 14:42:43 2017 -0400

    Merge pull request #1334 from lgalis/boolean_user_input_field_in_advanced_search
    
    Use a dropdown for a boolean user input field in Advanced Search
    (cherry picked from commit ef6412f33b4578578928c91d189f1afae8346226)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478535

 app/views/layouts/_user_input_filter.html.haml     | 25 +++++++++++++++-------
 .../layouts/_user_input_filter.html.haml_spec.rb   | 14 ++++++++++++
 2 files changed, 31 insertions(+), 8 deletions(-)
 create mode 100644 spec/views/layouts/_user_input_filter.html.haml_spec.rb

Comment 3 Matouš Mojžíš 2017-08-30 11:52:00 UTC
Verified in 5.8.2.0. I can select True or False now only so that exception is prevented.

Comment 5 errata-xmlrpc 2017-10-24 00:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.